Name:           timj-release
Version:        1.3
Release:        1
Summary:        Yum configuration for Tim J's RPM repository

Group:          System Environment/Base
License:        Public Domain
URL:            http://rpms.timj.co.uk/
Source0:        RPM-GPG-KEY-timj
Source1:	timj.repo
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	/bin/touch
BuildArch:	noarch

%description
http://rpms.timj.co.uk/ is a repository of software for various Fedora and
"Enterprise Linux" releases. It has no support and contains packages which
may override, conflict with and/or do other unexpected things with core
packages. Though it may be of interest, it is not intended for general public
use.

This RPM contains the repository's public GPG key and yum configuration.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_sysconfdir}/pki/rpm-gpg
mkdir -p %{buildroot}%{_sysconfdir}/yum.repos.d
install -m0644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/yum.repos.d

echo "%{dist}" | grep -E 'el|centos' >/dev/null
if [ $? == 0 ]; then
	DISTRO=Enterprise
	DISTRONAME=enterprise
else
	DISTRO=Fedora
	DISTRONAME=fedora
fi

RELEASEVER=`echo "%{dist}" | sed -E s/[.a-z]+//g`

sed -i s/DISTRONAME/$DISTRONAME/ %{buildroot}%{_sysconfdir}/yum.repos.d/timj.repo
sed -i s/DISTRO/$DISTRO/ %{buildroot}%{_sysconfdir}/yum.repos.d/timj.repo
sed -i s/RELEASEVER/$RELEASEVER/ %{buildroot}%{_sysconfdir}/yum.repos.d/timj.repo

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-timj
%config(noreplace) %{_sysconfdir}/yum.repos.d/timj.repo


%changelog
* Fri Oct 11 2019 Tim Jackson <rpm@timj.co.uk> 1.3-1
- Add missing noarch repo for specific releases

* Fri Oct 06 2017 Tim Jackson <rpm@timj.co.uk> 1.2-2
- Still fighting releasever. How hard can it be to find out the major
  version of an EL release?

* Thu Oct 05 2017 Tim Jackson <rpm@timj.co.uk> 1.2-1
- Fed up of the $releasever stupidity

* Sun Nov 12 2006 Tim Jackson <rpm@timj.co.uk> 1.1-2
- Remove dist tag from release; it's meaningless

* Sun Nov 05 2006 Tim Jackson <rpm@timj.co.uk> 1.1-1
- Add "gpgkey=" to repo file
- Clarify repo naming

* Mon Oct 23 2006 Tim Jackson <rpm@timj.co.uk> 1.0-1
- Initial release
